{
  "name": "reactive-battle",
  "version": "1.0.0",
  "description": "A new interpretation of the famous Battle City game",
  "main": "src/index.tsx",
  "scripts": {
    "start": "webpack serve --config ./webpack/webpack.client.dev.js",
    "build:prod": "webpack --config ./webpack/webpack.client.prod.js",
    "build:dev": "webpack --config ./webpack/webpack.client.dev.js",
    "ssr:build:server:dev": "webpack --config ./webpack/ssr/server.js",
    "ssr:build:server:prod": "cross-env NODE_ENV=production webpack --config ./webpack/ssr/server.js",
    "ssr:build:client:prod": "webpack --config ./webpack/ssr/client.prod.js",
    "ssr:start:dev": "npm run ssr:build:server:dev && node dist/server.js",
    "ssr:start:prod": "npm run ssr:build:server:prod && npm run ssr:build:client:prod && node dist/server.js",
    "eslint": "eslint --cache --fix --ext .js,.jsx,.ts,.tsx src",
    "test": "jest"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/shchegol/reactive-battle.git"
  },
  "license": "MIT",
  "bugs": {
    "url": "https://github.com/shchegol/reactive-battle/issues"
  },
  "homepage": "https://github.com/shchegol/reactive-battle#readme",
  "jest": {
    "transform": {
      "^.+\\.(ts|tsx)$": "ts-jest",
      "^.+\\.svg$": "<rootDir>/svgTransform.js"
    },
    "moduleNameMapper": {
      ".+\\.(css|styl|less|sass|scss|png|jpg|ttf|woff|woff2)$": "identity-obj-proxy",
      "^@api(.*)$": "<rootDir>/src/api/$1",
      "^@components(.*)$": "<rootDir>/src/components/$1",
      "^@engine(.*)$": "<rootDir>/src/engine/$1",
      "^@pages(.*)$": "<rootDir>/src/pages/$1",
      "^@root(.*)$": "<rootDir>/src/$1",
      "^@server(.*)$": "<rootDir>/src/server/$1",
      "^@store(.*)$": "<rootDir>/src/store/$1",
      "^@styles(.*)$": "<rootDir>/src/styles/$1",
      "^@utils(.*)$": "<rootDir>/src/utils/$1"
    }
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run eslint && npm run test"
    }
  },
  "browserslist": [
    "> .5% and last 2 versions",
    "not dead",
    "not OperaMini all",
    "ie >= 11",
    "Edge >= 12"
  ],
  "devDependencies": {
    "@babel/core": "7.12.13",
    "@babel/preset-env": "7.12.13",
    "@babel/preset-react": "7.12.13",
    "@babel/preset-typescript": "7.12.13",
    "@types/cookie-parser": "1.4.2",
    "@types/cors": "2.8.9",
    "@types/enzyme": "3.10.8",
    "@types/enzyme-adapter-react-16": "1.0.6",
    "@types/express": "4.17.11",
    "@types/jest": "26.0.20",
    "@types/js-cookie": "2.2.6",
    "@types/mongoose": "5.10.3",
    "@types/node": "14.14.25",
    "@types/react": "17.0.1",
    "@types/react-dom": "17.0.0",
    "@types/react-helmet": "6.1.0",
    "@types/react-redux": "7.1.16",
    "@types/react-router-config": "5.0.2",
    "@types/react-router-dom": "5.1.7",
    "@types/redux": "3.6.31",
    "@types/webpack-dev-middleware": "4.1.0",
    "@types/webpack-env": "1.16.0",
    "@typescript-eslint/eslint-plugin": "4.14.2",
    "@typescript-eslint/parser": "4.14.2",
    "autoprefixer": "10.2.4",
    "babel-loader": "8.2.2",
    "clean-webpack-plugin": "3.0.0",
    "copy-webpack-plugin": "8.0.0",
    "cross-env": "7.0.3",
    "css-loader": "5.0.1",
    "cssnano": "4.1.10",
    "enzyme": "3.11.0",
    "enzyme-adapter-react-16": "1.15.6",
    "eslint": "7.19.0",
    "eslint-config-airbnb-typescript": "12.0.0",
    "eslint-plugin-import": "2.22.1",
    "eslint-plugin-jsx-a11y": "6.4.1",
    "eslint-plugin-react": "7.22.0",
    "eslint-plugin-react-hooks": "4.2.0",
    "eslint-webpack-plugin": "2.5.0",
    "file-loader": "6.2.0",
    "html-loader": "1.3.2",
    "html-webpack-plugin": "5.0.0",
    "husky": "4.3.8",
    "identity-obj-proxy": "3.0.0",
    "image-minimizer-webpack-plugin": "2.2.0",
    "imagemin-jpegtran": "7.0.0",
    "imagemin-optipng": "8.0.0",
    "imagemin-svgo": "8.0.0",
    "jest": "26.6.3",
    "mini-css-extract-plugin": "1.3.5",
    "postcss": "8.2.4",
    "postcss-loader": "5.0.0",
    "resolve-url-loader": "3.1.2",
    "sass": "1.32.6",
    "sass-loader": "11.0.0",
    "style-loader": "2.0.0",
    "ts-jest": "26.5.0",
    "ts-loader": "8.0.15",
    "typescript": "4.1.3",
    "webpack": "5.20.2",
    "webpack-cli": "4.5.0",
    "webpack-dev-middleware": "3.7.3",
    "webpack-dev-server": "3.11.2",
    "webpack-hot-middleware": "2.25.0",
    "webpack-merge": "5.7.3",
    "webpack-node-externals": "2.5.2",
    "workbox-webpack-plugin": "6.1.0"
  },
  "dependencies": {
    "axios": "0.21.1",
    "body-parser": "1.19.0",
    "connected-react-router": "6.8.0",
    "cookie-parser": "1.4.5",
    "cors": "2.8.5",
    "dotenv": "8.2.0",
    "express": "4.17.1",
    "history": "4.10.1",
    "js-cookie": "2.2.1",
    "mongoose": "5.11.17",
    "npm-run-all": "4.1.5",
    "null-loader": "4.0.1",
    "pg": "8.5.1",
    "react": "16.14.0",
    "react-dom": "16.14.0",
    "react-helmet": "6.1.0",
    "react-redux": "7.2.2",
    "react-router-config": "5.1.1",
    "react-router-dom": "5.2.0",
    "redux": "4.0.5",
    "redux-devtools-extension": "2.13.8",
    "redux-thunk": "2.3.0",
    "reflect-metadata": "0.1.13",
    "sequelize": "6.5.0",
    "sequelize-typescript": "2.1.0",
    "serialize-javascript": "5.0.1"
  },
  "engines": {
    "node": ">=14.13.0"
  }
}
